#Module-Specific definitions
%define mod_version 1.02

%define mod_name mod_ap2_snmp
%define mod_conf A26_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}_%{mod_version}

%define apache_version	2.0.53

# Standard Module Definitions
%define name apache2-%{mod_name}
%define version %{apache_version}_%{mod_version}

Summary:	Mod_ap2_snmp is a DSO module for the apache2 Web server
Name:		%{name}
Version:	%{version}
Release:	%mkrel 5
Group:		System/Servers
License:	GPL
URL:		http://eplx.homeip.net/mod_apache_snmp/
Source0: 	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Source2:	mod_ap2_snmp.README.MDK.bz2
Source3:	mod_ap2_snmp.snmpd.conf.bz2
Patch1:		mod_ap2_snmp_1.02-typos_fix.diff.bz2
BuildRequires:	openssl-devel
BuildRequires:	net-snmp-devel >= 5.2.1-2mdk
Requires:	net-snmp-mibs >= 5.2.1-2mdk
Requires:	net-snmp >= 5.2.1-2mdk
Prereq:		apache2 >= %{apache_version}
Prereq:		apache2-conf
BuildRequires:	apache2-devel >= %{apache_version}-1mdk
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This module allows you to monitor different configuration and
status values of Apache Web Server by SNMP (Simple Network
Management Protocol).

%prep

%setup -q -n %{sourcename}
%patch1 -p0

bzcat %{SOURCE2} > README.MDK
bzcat %{SOURCE3} > snmp.conf

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%{_sbindir}/apxs2 -c -I%{_includedir}/net-snmp mod_ap2_snmp.c -lnetsnmp -lcrypto

# -DMOD_SNMP_DEBUG

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/apache2-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/conf.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache2-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/conf.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

# fix temp dir
install -d %{buildroot}%{_var}/cache/httpd/mod_ap2_snmp

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS README README.MDK snmp.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache2-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*
%attr(0775,apache,apache) %dir %{_var}/cache/httpd/mod_ap2_snmp

%changelog
* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.02-5mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.02-4mdk
- fix %%post and %%postun to prevent double restarts

* Fri Feb 25 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_1.02-3mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.02-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.02-1mdk
- 1.02
- drop P0, its implemented upstream
- rediff P1
- strip away annoying ^M

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.01-1mdk
- rebuilt for apache 2.0.53

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_1.01-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_1.01-1mdk
- built for apache 2.0.51

* Mon Aug 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_1.01-1mdk
- initial mandrake package
- added P0,P1,S1,S2 & S3
